"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var parser_1 = require("@babel/parser");
var traverse_1 = require("@babel/traverse");
var generator_1 = require("@babel/generator");
var BabelHelper = /** @class */ (function () {
    function BabelHelper() {
    }
    BabelHelper.parse = function (code) {
        return parser_1.parse(code, this.createOptions());
    };
    BabelHelper.createOptions = function () {
        return {
            plugins: [
                'asyncGenerators',
                'bigInt',
                'classProperties',
                'dynamicImport',
                'flow',
                'jsx',
                'objectRestSpread'
            ],
            sourceType: 'unambiguous'
        };
    };
    BabelHelper.getNodes = function (ast) {
        var nodes = [];
        traverse_1.default(ast, {
            enter: function (path) {
                var node = path.node;
                node.parent = path.parent;
                Object.freeze(node);
                nodes.push(node);
            },
        });
        return nodes;
    };
    BabelHelper.generateCode = function (ast) {
        return generator_1.default(ast).code;
    };
    return BabelHelper;
}());
exports.default = BabelHelper;
//# sourceMappingURL=BabelHelper.js.map