"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var types = require("@babel/types");
/**
 * Represents a mutator which can remove the content of an array's elements.
 */
var ArrayLiteralMutator = /** @class */ (function () {
    function ArrayLiteralMutator() {
        this.name = 'ArrayLiteral';
    }
    ArrayLiteralMutator.prototype.mutate = function (node, copy) {
        var nodes = [];
        if (types.isArrayExpression(node) && node.elements.length > 0) {
            var mutatedNode = copy(node);
            mutatedNode.elements = [];
            nodes.push(mutatedNode);
        }
        return nodes;
    };
    return ArrayLiteralMutator;
}());
exports.default = ArrayLiteralMutator;
//# sourceMappingURL=ArrayLiteralMutator.js.map