"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var types = require("@babel/types");
/**
 * Represents a mutator which can remove the content of an array's elements.
 */
var ArrayNewExpressionMutator = /** @class */ (function () {
    function ArrayNewExpressionMutator() {
        this.name = 'ArrayNewExpression';
    }
    ArrayNewExpressionMutator.prototype.mutate = function (node, copy) {
        var nodes = [];
        if ((types.isCallExpression(node) || types.isNewExpression(node)) && types.isIdentifier(node.callee) && node.callee.name === 'Array' && node.arguments.length > 0) {
            var mutatedNode = copy(node);
            mutatedNode.arguments = [];
            nodes.push(mutatedNode);
        }
        return nodes;
    };
    return ArrayNewExpressionMutator;
}());
exports.default = ArrayNewExpressionMutator;
//# sourceMappingURL=ArrayNewExpressionMutator.js.map