"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var types = require("@babel/types");
var BooleanSubstitutionMutator = /** @class */ (function () {
    function BooleanSubstitutionMutator() {
        this.name = 'BooleanSubstitution';
    }
    BooleanSubstitutionMutator.prototype.mutate = function (node, copy) {
        var nodes = [];
        // true -> false or false -> true
        if (types.isBooleanLiteral(node)) {
            var mutatedNode = copy(node);
            mutatedNode.value = !mutatedNode.value;
            nodes.push(mutatedNode);
        }
        return nodes;
    };
    return BooleanSubstitutionMutator;
}());
exports.default = BooleanSubstitutionMutator;
//# sourceMappingURL=BooleanSubstitutionMutator.js.map