"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var types = require("@babel/types");
var NodeGenerator_1 = require("../helpers/NodeGenerator");
/**
 * Represents a mutator which can remove the conditional clause from statements.
 */
var ForStatementMutator = /** @class */ (function () {
    function ForStatementMutator() {
        this.name = 'ForStatement';
    }
    ForStatementMutator.prototype.mutate = function (node, copy) {
        if (types.isForStatement(node)) {
            if (!node.test) {
                var mutatedNode = copy(node);
                mutatedNode.test = NodeGenerator_1.NodeGenerator.createBooleanLiteralNode(node, false);
                return [mutatedNode];
            }
            else {
                return [NodeGenerator_1.NodeGenerator.createBooleanLiteralNode(node.test, false)];
            }
        }
    };
    return ForStatementMutator;
}());
exports.default = ForStatementMutator;
//# sourceMappingURL=ForStatementMutator.js.map