"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var types = require("@babel/types");
var NodeGenerator_1 = require("../helpers/NodeGenerator");
/**
 * Represents a mutator which can remove the conditional clause from statements.
 */
var IfStatementMutator = /** @class */ (function () {
    function IfStatementMutator() {
        this.name = 'IfStatement';
    }
    IfStatementMutator.prototype.mutate = function (node) {
        if (types.isIfStatement(node)) {
            return [
                NodeGenerator_1.NodeGenerator.createBooleanLiteralNode(node.test, false),
                NodeGenerator_1.NodeGenerator.createBooleanLiteralNode(node.test, true)
            ];
        }
    };
    return IfStatementMutator;
}());
exports.default = IfStatementMutator;
//# sourceMappingURL=IfStatementMutator.js.map