"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var types = require("@babel/types");
/**
 * Represents a mutator which can remove the content of a Object.
 */
var ObjectLiteralMutator = /** @class */ (function () {
    function ObjectLiteralMutator() {
        this.name = 'ObjectLiteral';
    }
    ObjectLiteralMutator.prototype.mutate = function (node, copy) {
        if (types.isObjectExpression(node) && node.properties.length > 0) {
            var mutatedNode = copy(node);
            mutatedNode.properties = [];
            return [mutatedNode];
        }
    };
    return ObjectLiteralMutator;
}());
exports.default = ObjectLiteralMutator;
//# sourceMappingURL=ObjectLiteralMutator.js.map