"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var types = require("@babel/types");
var PrefixUnaryExpressionMutator = /** @class */ (function () {
    function PrefixUnaryExpressionMutator() {
        this.name = 'PrefixUnaryExpression';
        this.operators = {
            '!': '',
            '+': '-',
            '++': '--',
            '-': '+',
            '--': '++',
            '~': ''
        };
    }
    PrefixUnaryExpressionMutator.prototype.mutate = function (node, copy) {
        if ((types.isUpdateExpression(node) || types.isUnaryExpression(node)) && this.operators[node.operator] !== undefined && node.prefix) {
            if (this.operators[node.operator].length > 0) {
                var mutatedNode = copy(node);
                mutatedNode.operator = this.operators[node.operator];
                return [mutatedNode];
            }
            else {
                var mutatedNode = copy(node.argument);
                mutatedNode.start = node.start;
                return [mutatedNode];
            }
        }
    };
    return PrefixUnaryExpressionMutator;
}());
exports.default = PrefixUnaryExpressionMutator;
//# sourceMappingURL=PrefixUnaryExpressionMutator.js.map