"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var types = require("@babel/types");
/**
 * Represents a mutator which can remove the content of a switch case clause.
 */
var SwitchCaseMutator = /** @class */ (function () {
    function SwitchCaseMutator() {
        this.name = 'SwitchCase';
    }
    SwitchCaseMutator.prototype.mutate = function (node, copy) {
        if (types.isSwitchCase(node)) {
            // if not a fallthrough case
            if (node.consequent.length > 0) {
                var mutatedNode = copy(node);
                mutatedNode.consequent = [];
                return [mutatedNode];
            }
        }
    };
    return SwitchCaseMutator;
}());
exports.default = SwitchCaseMutator;
//# sourceMappingURL=SwitchCaseMutator.js.map